package com.example.technicalsupport.navigation

import com.example.technicalsupport.R

sealed class NavItem(
    val label: String,
    val icon: Int,
    val rote: String
) {
    object KnowledgeBase : NavItem(
        label = "База знаний",
        icon = R.drawable.znaniya_64,
        rote = Screens.KnowledgeBase.route

    )

    object Applications : NavItem(
        label = "Заявки",
        icon = R.drawable.applications,
        rote = Screens.Applications.route

    )

    object History : NavItem(
        label = "История",
        icon = R.drawable.istoriya,
        rote = Screens.History.route

    )

    object Profile : NavItem(
        label = "Профиль",
        icon = R.drawable.profile,
        rote = Screens.Profile.route

    )
}